Get Analytics
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revenue": 14.99,
"previousRevenue": 0,
"revenueChange": 1499,
"orders": 3,
"previousOrders": 0,
"ordersChange": 300,
"customers": 2,
"previousCustomers": 0,
"customersChange": 200,
"cogs": 13.5,
"profit": 1.49,
"previousProfit": 0,
"profitChange": 149,
"costCoverage": 100,
"hasCosts": true
}Analytics
Get Analytics
Retrieves revenue, orders, customers and estimated gross profit analytics in a given timeframe. Pass products to scope every figure to up to 5 products, counted from invoice items rather than whole invoices.
GET
/
v1
/
shops
/
{shopId}
/
analytics
Get Analytics
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Query Parameters
Up to 5 products to scope the analytics to, each as product_id plus an optional variant_ids array.
Example:
null
Response
200 - application/json
Example:
14.99
Example:
0
Example:
1499
Example:
3
Example:
0
Example:
300
Example:
2
Example:
0
Example:
200
Example:
13.5
Example:
1.49
Example:
0
Example:
149
Example:
100
Example:
true